OAuth Token

Unified OAuth token endpoint for authorization_code, refresh_token, and client_credentials grants.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Body Params
string
enum
required

OAuth 2.0 grant type.

Allowed:
string

The authorization code received from /oauth/approve (required for authorization_code grant)

string

PKCE code verifier (required for authorization_code grant)

string

The refresh token to exchange for new tokens (required for refresh_token grant)

string | null

OAuth client ID (required for client_credentials grant)

string | null

OAuth client secret (required for client_credentials grant)

string | null

Redirect URI (must match the one used in authorization request)

string | null

Space-delimited list of requested scopes (optional for client_credentials grant)

Responses

400

Invalid request (missing or invalid parameters)

401

Invalid credentials, authorization code, PKCE verification failed, or invalid refresh token

Language
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json